Public Attributes | List of all members
_uart_handle Struct Reference
Peripheral Driver » HAL Driver » UART » Structures » UART handle

UART handle Structure definition. More...

`#include <gr55xx_hal_uart.h>`

Collaboration diagram for _uart_handle:
[legend]

## Public Attributes
uart_regs_t * | p_instance
| UART registers base address More...
uart_init_t | init
| UART communication parameters More...
uint8_t * | p_tx_buffer
| Pointer to UART Tx transfer Buffer. More...
uint16_t | tx_xfer_size
| UART Tx Transfer size More...
__IO uint16_t | tx_xfer_count
| UART Tx Transfer Counter More...
uint8_t * | p_rx_buffer
| Pointer to UART Rx transfer Buffer. More...
uint16_t | rx_xfer_size
| UART Rx Transfer size More...
__IO uint16_t | rx_xfer_count
| UART Rx Transfer Counter More...
dma_handle_t * | p_dmatx
| UART Tx DMA Handle parameters More...
dma_handle_t * | p_dmarx
| UART Rx DMA Handle parameters More...
functional_state_t | dma_tx_mode
| UART Tx DMA mode state More...
functional_state_t | dma_rx_mode
| UART Rx DMA mode state More...
hal_lock_t | lock
| Locking object More...
__IO hal_uart_state_t | tx_state
| UART state information related to Tx operations. More...
__IO hal_uart_state_t | rx_state
| UART state information related to Rx operations. More...
__IO uint32_t | error_code
| UART Error code More...
uint32_t | retention [8]
| UART important register information. More...

## Detailed Description

UART handle Structure definition.

Definition at line 152 of file gr55xx_hal_uart.h.

## Member Data Documentation

## ◆ dma_rx_mode

functional_state_t _uart_handle::dma_rx_mode

UART Rx DMA mode state

Definition at line 176 of file gr55xx_hal_uart.h.

## ◆ dma_tx_mode

functional_state_t _uart_handle::dma_tx_mode

UART Tx DMA mode state

Definition at line 174 of file gr55xx_hal_uart.h.

## ◆ error_code

__IO uint32_t _uart_handle::error_code

UART Error code

Definition at line 186 of file gr55xx_hal_uart.h.

## ◆ init

uart_init_t _uart_handle::init

UART communication parameters

Definition at line 156 of file gr55xx_hal_uart.h.

## ◆ lock

hal_lock_t _uart_handle::lock

Locking object

Definition at line 178 of file gr55xx_hal_uart.h.

## ◆ p_dmarx

dma_handle_t* _uart_handle::p_dmarx

UART Rx DMA Handle parameters

Definition at line 172 of file gr55xx_hal_uart.h.

## ◆ p_dmatx

dma_handle_t* _uart_handle::p_dmatx

UART Tx DMA Handle parameters

Definition at line 170 of file gr55xx_hal_uart.h.

## ◆ p_instance

uart_regs_t* _uart_handle::p_instance

UART registers base address

Definition at line 154 of file gr55xx_hal_uart.h.

## ◆ p_rx_buffer

uint8_t* _uart_handle::p_rx_buffer

Pointer to UART Rx transfer Buffer.

Definition at line 164 of file gr55xx_hal_uart.h.

## ◆ p_tx_buffer

uint8_t* _uart_handle::p_tx_buffer

Pointer to UART Tx transfer Buffer.

Definition at line 158 of file gr55xx_hal_uart.h.

## ◆ retention

uint32_t _uart_handle::retention[8]

UART important register information.

Definition at line 188 of file gr55xx_hal_uart.h.

## ◆ rx_state

__IO hal_uart_state_t _uart_handle::rx_state

UART state information related to Rx operations.

This parameter can be a value of hal_uart_state_t

Definition at line 183 of file gr55xx_hal_uart.h.

## ◆ rx_xfer_count

__IO uint16_t _uart_handle::rx_xfer_count

UART Rx Transfer Counter

Definition at line 168 of file gr55xx_hal_uart.h.

## ◆ rx_xfer_size

uint16_t _uart_handle::rx_xfer_size

UART Rx Transfer size

Definition at line 166 of file gr55xx_hal_uart.h.

## ◆ tx_state

__IO hal_uart_state_t _uart_handle::tx_state

UART state information related to Tx operations.

This parameter can be a value of hal_uart_state_t

Definition at line 180 of file gr55xx_hal_uart.h.

## ◆ tx_xfer_count

__IO uint16_t _uart_handle::tx_xfer_count

UART Tx Transfer Counter

Definition at line 162 of file gr55xx_hal_uart.h.

## ◆ tx_xfer_size

uint16_t _uart_handle::tx_xfer_size

UART Tx Transfer size

Definition at line 160 of file gr55xx_hal_uart.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_uart.h